Subject: Re: [PATCH] fix build error of driver/mfd/tc6393xb.c

From: Takashi Iwai <[email-masked]>
Date: Mon, 07 Jul 2008 18:23:44 +0200

At Mon, 7 Jul 2008 09:19:05 -0700,
David Brownell wrote:
> 
> On Monday 07 July 2008, Takashi Iwai wrote:
> > 
> > > The most natural fix is to have the Kconfig for PPC_MPC52xx
> > > select both GENERIC_GPIO and HAVE_GPIO_LIB.
> > 
> > Yes.  I, however, still feel uneasy by the fact that the combination
> > GENERIC_GPIO=n and HAVE_GPIO_LIB=y doesn't work.  We should either fix
> > it to work or disallow the combination.
> 
> As in, HAVE_GPIO_LIB depends on GENERIC_GPIO?  Fine with me;
> but I'm not sure that would work. Won't Kconfig gleefully let
> the "select" succeed but not select what it depends on?

No, it's a known problem of kbuild.
You can use "select" for select.  So, adding "select GENERIC_GPIO"
to HAVE_GPIO_LIB should work.  But, I'm not sure whether this is the
right fix, too...

Anyway, adding GENERIC_GPIO is fine as a workaround as now.  I'll
resubmit the fix patch.
I just wanted you to keep the remaining problem in mind.

thanks,

Takashi